> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Entity verification documents

## Overview

Before an [entity](../../../entities/index) can [make or receive payments](../../index) via Monite, it needs to provide the verification documents that prove the business registration and the identity of the business owners and key persons. Document verification is an essential part of the [payments onboarding process](../index).

Providing the documents is a two-step process:

1. Upload the documents to Monite.
2. Connect the uploaded documents to the entity.

## Document types \[#types]

Acceptable verification documents vary by country and may include:

* passport or identity card scans,
* business registration certificates,
* extracts from the national business registry,
* tax and/or VAT registrations,
* proof of bank accounts,
* and others.

Some document types require scans of both the front and back of the document.

### Entity verification documents

The following document types are needed to verify the business information.

| Document type\*                                                                  | Description                                                                                                                                                                                          |
| -------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `verification_document_front` `verification_document_back`                       | For organizations: A document that establishes the business ID number, such as the company’s articles of incorporation.For individuals: An identity document, such as a passport or a local ID card. |
| `additional_verification_document_front` `additional_verification_document_back` | Used only for entities of type "individual". A document showing the person's address, such as a passport, local ID card, or bill from a well-known utility company.                                  |
| `proof_of_registration`                                                          | Used only for entities of type "organization". One or more documents that prove the company’s registration with the national business registry.                                                      |

\* The types correspond to the field names in the `POST /onboarding_documents` request.

### Person verification documents

> **Info**
>
> This information applies only to entities of type "organization". It does not apply to entities of type "individual".

Entities of type "organization" may be required to provide information about their [key persons](./persons) during the onboarding process. The key persons include the primary representative, business owners, directors, and executives.

The following document types are needed to verify the identity and address of those persons.

| Document type\*                                                                  | Description                                                                                                                                       |
| -------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `verification_document_front` `verification_document_back`                       | An identity document, such as a passport or local ID card.                                                                                        |
| `additional_verification_document_front` `additional_verification_document_back` | A document that shows the person's address, such as a passport, local ID card, residence registration, or bill from a well-known utility company. |

\* The types correspond to the field names in the `POST /persons/{person_id}/onboarding_documents` request.

## Step 1. Upload the documents \[#upload]

Start by uploading the documents or their scans to Monite. The documents are uploaded one by one.

To upload a single file, call [`POST /files`](/api/files/post-files) and provide the data as a `multipart/form-data` request. Use the `file` field to pass the file, and set the `file_type` field to one of the following values:

* `identity_documents` - use this value when uploading company registration documents or a person's identity documents,
* `additional_identity_documents` - use this value when uploading documents that verify a person's address.

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/files' \
     -H 'X-Monite-Version: 2024-05-25' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
     -H 'Content-Type: multipart/form-data' \
     -F 'file=@passport.png;type=image/png' \
     -F 'file_type=identity_documents'
```

The response returns the `id` assigned to the uploaded file. Note it down as you will need it later.

```json
{
  "id": "d8e29d12-c045-470d-a984-08e158aab812",
  "created_at": "2024-01-18T09:48:15.782992+00:00",
  "updated_at": "2024-01-18T09:48:15.783001+00:00",
  "file_type": "identity_documents",
  "md5": "bbff083b8447c2854258a4582fa73dea",
  "mimetype": "image/png",
  "name": "passport.png",
  ...
  "size": 57190,
  "url": "https://<bucketname>.s3.<region>.amazonaws.com/path/to/file.png"
}
```

Repeat the requests to `POST /files` to upload all necessary documents.

## Step 2. Connect the uploaded documents to the entity \[#connect-documents-to-entity]

> **Info**
>
> **Roles and permissions**
>
> To call the `*/onboarding_documents` endpoints with an [entity user token](../../../entities/users#get-entity-user-token), this entity user must have a role with the `create` and `update` permissions for `onboarding`.
>
> If using a [partner-level token](../../../get-started/credentials#generate-partner-token), no special permissions are needed.

### Entity documents

To connect the uploaded documents to a specific entity, call [`POST /onboarding_documents`](/api/onboarding-documents/post-onboarding-documents) and provide the document IDs in the corresponding fields in the request body. For a list of the field names, see [Entity verification documents](#entity-documents).

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/onboarding_documents' \
     -H 'X-Monite-Version: 2024-05-25' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
     -H 'Content-Type: application/json' \
     -d '{
       "verification_document_back": "5054d7bd-4ef1-4592-8757-222039009359",
       "verification_document_front": "d8e29d12-c045-470d-a984-08e158aab812",
       "additional_verification_document_back": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
       "additional_verification_document_front": "db9b2cbf-11be-48ad-a98c-aa0e7741ecd1",
       "proof_of_registration": [
         "941e7824-8a97-4d70-9828-c1054f433e3f",
         "79c85f7f-db31-4c61-9973-3cc5e9c1de61"
       ]
     }'
```

### Person documents

To connect the uploaded documents to a specific person, call [`POST /persons/{person_id}/onboarding_documents`](/api/onboarding-documents/post-persons-id-onboarding-documents) and provide the document IDs in the corresponding fields in the request body. For a list of the field names, see [Person verification documents](#person-documents).

```sh
curl -X POST 'https://api.sandbox.monite.com/v1/persons/aea39...912/onboarding_documents' \
     -H 'X-Monite-Version: 2024-05-25' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
     -H 'Content-Type: application/json' \
     -d '{
       "verification_document_front": "1eb076a8-9834-4d9d-980b-bbc90e692100",
       "verification_document_back": "76b70868-6cc6-406b-8534-961460434397",
       "additional_verification_document_front": "4547d19b-4dd8-4558-96ba-b2363cfa1526",
       "additional_verification_document_back": "d8e49bdb-f27b-4243-b79c-b9f4fa25595e"
     }'
```